Search Access Requests
Search access requests with filters. Supports filtering by entitlement, app instance, status, user IDs, time range, and linked ticket.
curl --request POST \
--url https://public.api.serval.com/v2/access-requests/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"teamId": "<string>",
"requestedRoleId": "<string>",
"appInstanceId": "<string>",
"statuses": [],
"targetUserId": "<string>",
"requestedByUserId": "<string>",
"createdAfter": "<string>",
"createdBefore": "<string>",
"linkedTicketId": "<string>",
"pageSize": 123,
"pageToken": "<string>"
}
'import requests
url = "https://public.api.serval.com/v2/access-requests/search"
payload = {
"teamId": "<string>",
"requestedRoleId": "<string>",
"appInstanceId": "<string>",
"statuses": [],
"targetUserId": "<string>",
"requestedByUserId": "<string>",
"createdAfter": "<string>",
"createdBefore": "<string>",
"linkedTicketId": "<string>",
"pageSize": 123,
"pageToken": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
teamId: '<string>',
requestedRoleId: '<string>',
appInstanceId: '<string>',
statuses: [],
targetUserId: '<string>',
requestedByUserId: '<string>',
createdAfter: '<string>',
createdBefore: '<string>',
linkedTicketId: '<string>',
pageSize: 123,
pageToken: '<string>'
})
};
fetch('https://public.api.serval.com/v2/access-requests/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"teamId": "<string>",
"createdAt": "<string>",
"targetUserId": "<string>",
"requestedRoleId": "<string>",
"expiresAt": "<string>",
"linkedTicketId": "<string>",
"timeAllocations": [
{
"id": "<string>",
"createdAt": "<string>",
"requestedMinutes": 123,
"approvedMinutes": 123,
"businessJustification": "<string>",
"requestedByUserId": "<string>",
"linkedTicketId": "<string>",
"approvalRequestId": "<string>"
}
]
}
],
"nextPageToken": "<string>"
}{
"message": "<string>",
"detail": {
"type": "<string>",
"value": "<string>",
"debug": {}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
The ID of the team. Required.
Filter by requested role ID.
Filter by app instance ID.
Filter by statuses (multiple allowed).
AccessRequestStatus represents the overall status of an access request. Used by the public API for SDK consumers.
ACCESS_REQUEST_STATUS_UNSPECIFIED, ACCESS_REQUEST_STATUS_PENDING, ACCESS_REQUEST_STATUS_APPROVED, ACCESS_REQUEST_STATUS_DENIED, ACCESS_REQUEST_STATUS_EXPIRED, ACCESS_REQUEST_STATUS_REVOKED, ACCESS_REQUEST_STATUS_CANCELED, ACCESS_REQUEST_STATUS_FAILED Filter by the target user for whom access was requested.
Filter by the user who requested access.
Filter by requests created after this timestamp (RFC3339 format).
Filter by requests created before this timestamp (RFC3339 format).
Filter by linked ticket ID.
Maximum number of results to return. Default is 1000, maximum is 5000.
Token for pagination. Leave empty for the first request.
Was this page helpful?

